<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of Data
 *
 * @author killer
 */
class Speedy_Speedyshipping_Helper_Data extends Mage_Core_Helper_Abstract {
    //put your code here

    private $_speedyEPS;

     protected function _initSpeedyService() {
        $speedyUtil = Mage::getBaseDir('lib') . DS . 'SpeedyEPS' . DS . 'util' . DS . 'Util.class.php';
        $speedyEPSFacade = Mage::getBaseDir('lib') . DS . 'SpeedyEPS' . DS . 'ver01' . DS . 'EPSFacade.class.php';
        $speedyEPSImplementation = Mage::getBaseDir('lib') . DS . 'SpeedyEPS' . DS . 'ver01' . DS . 'soap' . DS . 'EPSSOAPInterfaceImpl.class.php';
        $speedyResultSite = Mage::getBaseDir('lib') . DS . 'SpeedyEPS' . DS . 'ver01' . DS . 'ResultSite.class.php';
        $speedyAddressNomen = Mage::getBaseDir('lib') . DS . 'SpeedyEPS' . DS . 'ver01' . DS . 'AddrNomen.class.php';


        require_once $speedyUtil;
        require_once $speedyEPSFacade;
        require_once $speedyEPSImplementation;
        require_once $speedyResultSite;
        require_once $speedyAddressNomen;

        $server = null;
        $username = null;
        $password = null;

        if (Mage::app()->getRequest()->getPost('groups')) {
            $post = Mage::app()->getRequest()->getPost('groups');
            if (isset($post['speedyshippingmodule']['fields']['server']['value'])) {
                $server = $post['speedyshippingmodule']['fields']['server']['value'];
            }

            if (isset($post['speedyshippingmodule']['fields']['username']['value'])) {
                $username = $post['speedyshippingmodule']['fields']['username']['value'];
            }

            if (isset($post['speedyshippingmodule']['fields']['password']['value'])) {
                $password = $post['speedyshippingmodule']['fields']['password']['value'];
            }
        }

        if (!$server) {
            $server = Mage::getStoreConfig('carriers/speedyshippingmodule/server');
        }

        if (!$username) {
            $username = Mage::getStoreConfig('carriers/speedyshippingmodule/username');
        }

        if (!$password) {
            $password = Mage::helper('core')->decrypt(Mage::getStoreConfig('carriers/speedyshippingmodule/password'));
        }

        if (!$username || !$password) {
            return false;
        }

        try {
            $speedyEPSInterfaceImplementaion = new EPSSOAPInterfaceImpl($server);

            $this->_speedyEPS = new EPSFacade($speedyEPSInterfaceImplementaion, $username, $password);
        } catch (ServerException $se) {
            throw new Exception($se->getMessage());
        }
    }

    public function getSpeedyEPS() {
        if (!$this->_speedyEPS) {
            $this->_initSpeedyService();
        }

        return $this->_speedyEPS;
    }

    public function checkReturnVoucherRequested($bol_id) {
        $voucherRequested = false;

        try {
            $pickingExtendedInfo = $this->getSpeedyEPS()->getPickingExtendedInfo((float)$bol_id);

            if (!is_null($pickingExtendedInfo->getReturnVoucher()) && ($pickingExtendedInfo->getReturnVoucher() instanceof ResultReturnVoucher)) {
                $voucherRequested = true;
            }
        } catch (Exception $e) {
            throw new Exception($se->getMessage());
        }

        return $voucherRequested;
    }
}

?>
